> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jobgorilla.com/api-reference/jobs/delete-job/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jobgorilla.com/_mcp/server. # Delete Job DELETE https://feed.jobgorilla.com/job Content-Type: application/json Remove a Job. Reference: https://docs.jobgorilla.com/api-reference/jobs/delete-job ## Request ### Headers - `X-JobGorilla-Key` (string, required) ### Body (application/json) This endpoint expects a DeleteJobPosting. - `id` (string, required) — Your system's ID for the job to be deleted. ## Response ### 200 Job successfully deleted - `jobGorillaGuid` (string, optional) — The JobGorilla GUID of the job that was deleted. - `status` (enum, optional) — The status of the request. - Allowed values: `OK`, `ERROR` - `errors` (list of string, optional) — Any errors to help with troubleshooting a problem. ## Errors ### 400 Bad Request Error Bad request - validation failed or job not found - `jobGorillaGuid` (string, optional) — The JobGorilla GUID of the job that was deleted. - `status` (enum, optional) — The status of the request. - Allowed values: `OK`, `ERROR` - `errors` (list of string, optional) — Any errors to help with troubleshooting a problem. ### 406 Not Acceptable Error Not Acceptable - error occurred during job deletion - `jobGorillaGuid` (string, optional) — The JobGorilla GUID of the job that was deleted. - `status` (enum, optional) — The status of the request. - Allowed values: `OK`, `ERROR` - `errors` (list of string, optional) — Any errors to help with troubleshooting a problem. ## Examples **Request** ```json { "id": "job-12345" } ``` **Response** ```json { "jobGorillaGuid": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890", "status": "OK", "errors": [] } ``` **SDK Code** ```python import requests url = "https://feed.jobgorilla.com/job" payload = { "id": "job-12345" } headers = { "X-JobGorilla-Key": "X-JobGorilla-Key", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://feed.jobgorilla.com/job'; const options = { method: 'DELETE', headers: {'X-JobGorilla-Key': 'X-JobGorilla-Key', 'Content-Type': 'application/json'}, body: '{"id":"job-12345"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://feed.jobgorilla.com/job" payload := strings.NewReader("{\n \"id\": \"job-12345\"\n}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("X-JobGorilla-Key", "X-JobGorilla-Key") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://feed.jobgorilla.com/job") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["X-JobGorilla-Key"] = 'X-JobGorilla-Key' request["Content-Type"] = 'application/json' request.body = "{\n \"id\": \"job-12345\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://feed.jobgorilla.com/job") .header("X-JobGorilla-Key", "X-JobGorilla-Key") .header("Content-Type", "application/json") .body("{\n \"id\": \"job-12345\"\n}") .asString(); ``` ```php request('DELETE', 'https://feed.jobgorilla.com/job', [ 'body' => '{ "id": "job-12345" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-JobGorilla-Key' => 'X-JobGorilla-Key', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://feed.jobgorilla.com/job"); var request = new RestRequest(Method.DELETE); request.AddHeader("X-JobGorilla-Key", "X-JobGorilla-Key"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"id\": \"job-12345\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-JobGorilla-Key": "X-JobGorilla-Key", "Content-Type": "application/json" ] let parameters = ["id": "job-12345"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://feed.jobgorilla.com/job")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```